From bde3e1d1c90d255c935356b36fb489030df0a9c9 Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Oct 25 2024 14:32:54 +0000
Subject: F41: Update for final


Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index 989d405..13a0b0d 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -217,9 +217,9 @@ osbuild = {
         "image_types": ["iot-raw-image"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-41/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/devel/$arch/iot",
+        "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
       },
       {
@@ -228,9 +228,9 @@ osbuild = {
         "image_types": ["iot-installer"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-41/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/devel/$arch/iot",
+        "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
         "manifest_type": "dvd-ostree",
       },
@@ -240,9 +240,9 @@ osbuild = {
         "image_types": ["iot-simplified-installer"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-41/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/devel/$arch/iot",
+        "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT_Simplified_Provisioner",
         "customizations": {"installation_device": "/dev/vda"},
         "failable": ["*"],
@@ -261,11 +261,11 @@ ostree = {
             "config_branch": "f41",
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-41/compose/Everything/$basearch/os/"
+                "https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$basearch/os/"
             ]
             "tag_ref": False,
             "ostree_repo": "/mnt/koji/compose/iot/repo/",
-            "ostree_ref": "fedora/devel/${basearch}/iot",
+            "ostree_ref": "fedora/stable/${basearch}/iot",
             "runroot_packages": ["selinux-policy-targeted"],
             "arches": ["x86_64", "aarch64"],
             "update_summary": True,
@@ -278,7 +278,7 @@ ostree_container = {
         "config_url": "https://pagure.io/fedora-iot/base-images",
         "config_branch": "f41",
         "treefile": "fedora-bootc.yaml",
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-41/compose/Everything/$basearch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$basearch/os/"],
         "arches": ["x86_64", "aarch64", "ppc64le", "s390x"],
         "failable": ['*'],
     },
@@ -287,7 +287,7 @@ ostree_container = {
         "config_url": "https://pagure.io/fedora-iot/ostree.git",
         "config_branch": "f41",
         "treefile": "fedora-iot-bootc.yaml",
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-41/compose/Everything/$basearch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$basearch/os/"],
         "arches": ["x86_64", "aarch64"],
         "failable": ['*'],
     },

